> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses workflows



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/workflows/{workflowId}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/workflows/{workflowId}:
    put:
      tags:
        - WorkflowManagement
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: workflowId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowUpdateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    WorkflowsWorkflowUpdateRequest:
      required:
        - entityType
        - id
        - name
      type: object
      properties:
        name:
          maxLength: 200
          minLength: 0
          type: string
        description:
          maxLength: 1000
          minLength: 0
          type: string
          nullable: true
        entityType:
          maxLength: 100
          minLength: 0
          type: string
        priority:
          maximum: 999
          minimum: 0
          type: integer
          format: int32
        enabled:
          type: boolean
        effectiveFrom:
          type: string
          format: date-time
          nullable: true
        effectiveTo:
          type: string
          format: date-time
          nullable: true
        tags:
          maxLength: 500
          minLength: 0
          type: string
          nullable: true
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowsWorkflowConditionRequest'
          nullable: true
        actions:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowsWorkflowActionRequest'
          nullable: true
        triggers:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowsWorkflowTriggerRequest'
          nullable: true
        id:
          type: string
          format: uuid
      additionalProperties: false
    WorkflowsWorkflowConditionRequest:
      required:
        - type
      type: object
      properties:
        type:
          maxLength: 100
          minLength: 0
          type: string
        parameters:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        description:
          maxLength: 500
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    WorkflowsWorkflowActionRequest:
      required:
        - type
      type: object
      properties:
        type:
          maxLength: 100
          minLength: 0
          type: string
        parameters:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        description:
          maxLength: 500
          minLength: 0
          type: string
          nullable: true
        order:
          maximum: 999
          minimum: 0
          type: integer
          format: int32
      additionalProperties: false
    WorkflowsWorkflowTriggerRequest:
      required:
        - type
      type: object
      properties:
        type:
          maxLength: 20
          minLength: 0
          type: string
        eventType:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        scheduleExpression:
          maxLength: 200
          minLength: 0
          type: string
          nullable: true
        eventPattern:
          type: string
          nullable: true
        enabled:
          type: boolean
        configuration:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false

````